# 获取仓库列表

#### 接口方法

- getWarehouse

#### 请求方式：

- POST

#### 请求示例:

```xml
<?xml version="1.0" encoding="UTF-8"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns1="http://www.example.org/">
	<SOAP-ENV:Body>
		<ns1:callService>
			<paramsJson>
				{
				  "pageSize":1,
				  "page":1
				}
			</paramsJson>
			<appToken>appToken</appToken>
			<appKey>appKey</appKey>
			<service>getWarehouse</service>
		</ns1:callService>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 请求参数:

|参数   |类型   |是否必填   |说明   |
| :------------ | :------------ | :------------ | :------------ |
|pageSize   |int |是  |每页数据长度   |
|page   |int |是  |当前页   |



#### 返回结果示例：

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<SOAP-ENV:Envelope xmlns:ns1="http://www.example.org/" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/">
	<SOAP-ENV:Body>
		<ns1:callServiceResponse>
			<response>
				{
				  "ask":"Success",
				  "count":"2",
				  "data":[
					{
					  "city":"elk grove village",
					  "company":"WESTERN POST US",
					  "country_id":243,
					  "state":"IL",
					  "warehouse_code":"WPCHI",
					  "warehouse_desc":"美国芝加哥仓",
					  "warehouse_id":7
					},
					{
					  "city":"Bochum",
					  "company":"",
					  "country_id":88,
					  "state":"Bochum",
					  "warehouse_code":"WPDE",
					  "warehouse_desc":"德国仓",
					  "warehouse_id":5
					}
				  ],
				  "message":"Success",
				  "nextPage":true,
				  "pagination":{
					"page":1,
					"pageSize":2
				  }
				}
			</response>
		</ns1:callServiceResponse>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 返回参数：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|warehouse_code   |String   |仓库代码   |
|warehouse_desc   |String   |返回信息   |
|warehouse_id   |int   |仓库id   |
|country_id   |int   |仓库所在国家id，参考接口getCountry（获取国家列表）   |
|state   |String   |仓库所在州/省   |
|city   |String   |仓库所在城市   |
|company |String   |公司   |