# 创建面单（toC 正向物流）

#### 接口方法

- createShipmentToC


#### 请求方式：

- POST


#### 请求示例:

```xml
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns1="http://www.example.org/">
	<SOAP-ENV:Body>
		<ns1:callService>
			<paramsJson>
				{
				  "warehouse_code":"WPLA",
				  "shipping_method":"W_UPS_O",
				  "reference_no":"ref_1399867101-test",
				  "reference_no2":"ref_1399867101-test2",
				  "order_desc":"test-api-001",
				  "length":"15.50",
				  "width":"10.00",
				  "height":"5.00",
				  "weight":"12.50",
				  "verify":"1",
				  "receiver_address":{
					"country_code":"US",
					"province":"CT",
					"city":"TRUMBULL",
					"address1":"53 NORTH ST",
					"zipcode":"142970",
					"first_name":"tester",
					"last_name":"pak",
					"phone":"123456789"
				  }
				}
			</paramsJson>
			<appToken>appToken</appToken>
			<appKey>appKey</appKey>
			<service>createShipmentToC</service>
		</ns1:callService>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 请求参数:

|参数   |类型   |是否必填   |说明   |长度限制
| :------------ | :------------ | :------------ | :------------ | :------------ |
|warehouse_code |String |是 |发货仓库，美西为WPLA，美东为WPNJ |20
|reference_no |String |是 |参考编号 |50
|reference_no2 |String |否 |参考编号2，备用字段 |50
|shipping_method |String |是 |运输方式，参考getShippingMethod（获取运输方式列表） |20
|order_desc |String |否 |备注 |200
|receiver_address |Object |是 |收货人信息（详见address参数）|50
|verify |int |是 |是否提交,0新建不提交(草稿状态)，1新建并提交， 默认为0 |
|length |String |是 |包裹长cm（保留2位小数） |
|width |String |是 |包裹宽cm（保留2位小数） |
|height |String |是 |包裹高cm（保留2位小数） |
|weight |String |是 |包裹重kg（保留2位小数） |



#### address参数:


|参数   |类型   |是否必填   |说明   |长度限制
| :------------ | :------------ | :------------ | :------------ | :------------ |
|first_name |String |是 |收/发件人名 |20
|last_name |String |否 |收/发件人姓 |20
|country_code |String |是 |收/发件人国家，参考getCountry（获取国家列表） |20
|province |String |是 |州/省(美国的州/省参数必填，欧洲国家的不必填) |20
|city |String |是 |城市 |20
|address1 |String |是 |地址1 (length:60)|60
|address2 |String |否 |地址2 (length:60)|60
|zipcode |String |是 |邮编 |20
|doorplate |String |否 |门牌号 |20
|company |String |否 |公司名 |20
|phone |String |否 |收/发件人联系方式（收件人必填） |15
|email |String |否 |收/发件人邮箱 |20


#### 返回结果示例：

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<SOAP-ENV:Envelope xmlns:ns1="http://www.example.org/" xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/">
	<SOAP-ENV:Body>
		<ns1:callServiceResponse>
			<response>
				{
				  "ask":"Success",
				  "message":"Success",
				  "nextPage":false,
				  "order_code":"YB-XX-19110400003",
				  "tracking_no":"1ZXXXXXXXXXXXXXXXX"
				}
			</response>
		</ns1:callServiceResponse>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 返回参数：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|ask   |String   |返回结果，Success表示请求成功，Failure表示请求失败   |
|message   |String   |返回信息   |
|nextPage   |boolean   |true 有下一页，false 没有下一页   |
|order_code   |String   |系统生成的面单号  |
|tracking_no   |String   |跟踪号(运单号)  |
|Error   |Object   |参考Error格式   |