# 获取订单轨迹

#### 接口方法

- getShipmentTracking


#### 请求方式：

- POST


#### 请求示例:

```xml
<?xml version="1.0" encoding="UTF-8"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns1="http://www.example.org/">
	<SOAP-ENV:Body>
		<ns1:callService>
			<paramsJson>
				{
				  "reference_no_arr":["return-ca1-50137","return-ca1-50137"],
				  "tracking_no_arr":["787553274050","787552072001"]
				}
			</paramsJson>
			<appToken>appToken</appToken>
			<appKey>appKey</appKey>
			<service>getShipmentTracking</service>
		</ns1:callService>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 请求参数:
reference_no_arr 和 tracking_no_arr 二选一

|参数   |类型   |是否必填   |说明   |长度限制
| :------------ | :------------ | :------------ | :------------ | :------------ |
|reference_no_arr |Array |是 |多个参考号(客户号),数组格式 |5000
|tracking_no_arr |Array |是 |多个跟踪号(运单号),数组格式 |5000



#### 返回结果示例：

```xml
<?xml version="1.0" encoding="UTF-8"?>
<SOAP-ENV:Envelope xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:ns1="http://www.example.org/">
	<SOAP-ENV:Body>
		<callServiceResponse>
			<response>
				{
					"ask": "Success",
					"data": [{
						"tracking_no": "9361289684091097898089"，
						"reference_no": "bg-return-ca1-50137",
						"sc_name": "美国UPS",
						"track_info": [{
							"occur_address": "WINDSOR, CT 06095",
							"occur_date": "2020-09-12 07:44:00",
							"occur_date_utc": "GMT+04:00",
							"system_track_code": "30",
							"track_content": "Picked Up by Shipping Partner, USPS Awaiting Item",
							"tracking_no": "9361289684091097898089"
						}, {
							"occur_address": "WINDSOR, CT 06095",
							"occur_date": "2020-09-12 13:56:00",
							"occur_date_utc": "GMT+04:00",
							"system_track_code": "30",
							"track_content": "Departed Shipping Partner Facility, USPS Awaiting Item",
							"tracking_no": "9361289684091097898089"
						}, {
							"occur_address": "STOUGHTON, MA 02072",
							"occur_date": "2020-09-12 23:06:00",
							"occur_date_utc": "GMT+04:00",
							"system_track_code": "30",
							"track_content": "Departed Shipping Partner Facility, USPS Awaiting Item",
							"tracking_no": "9361289684091097898089"
						}, {
							"occur_address": "LONDONDERRY, NH 03053",
							"occur_date": "2020-09-13 05:34:00",
							"occur_date_utc": "GMT+04:00",
							"system_track_code": "30",
							"track_content": "Accepted at USPS Destination Facility",
							"tracking_no": "9361289684091097898089"
						}, {
							"occur_address": "DERRY, NH 03038",
							"occur_date": "2020-09-13 06:49:00",
							"occur_date_utc": "GMT+04:00",
							"system_track_code": "30",
							"track_content": "Arrived at Hub",
							"tracking_no": "9361289684091097898089"
						}, {
							"occur_address": "LONDONDERRY, NH 03053",
							"occur_date": "2020-09-13 07:10:00",
							"occur_date_utc": "GMT+04:00",
							"system_track_code": "30",
							"track_content": "Out for Delivery",
							"tracking_no": "9361289684091097898089"
						}, {
							"occur_address": "DERRY, NH 03038",
							"occur_date": "2020-09-13 07:17:00",
							"occur_date_utc": "GMT+04:00",
							"system_track_code": "30",
							"track_content": "Delivery Attempted - No Access to Delivery Location",
							"tracking_no": "9361289684091097898089"
						}, {
							"occur_address": "LONDONDERRY, NH 03053",
							"occur_date": "2020-09-14 10:04:00",
							"occur_date_utc": "GMT+04:00",
							"system_track_code": "40",
							"track_content": "Delivered, Left with Individual",
							"tracking_no": "9361289684091097898089"
						}]
					}, {
						"track_info": [],
						"tracking_no": "787552072001"
					}],
					"message": "Success",
					"nextPage": false
				}
			</response>
		</callServiceResponse>
	</SOAP-ENV:Body>
</SOAP-ENV:Envelope>
```


#### 返回参数：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|tracking_no   |String   |跟踪号(运单号)   |
|reference_no   |String   |参考号(客户号)   |
|sc_name   |String   |尾程服务商名称   |
|track_info   |Object   |物流跟踪信息（详见track_info参数）   |



#### track_info参数：

|参数   |类型   |说明   |
| :------------ | :------------ | :------------ |
|occur_address   |String   |轨迹发生地点   |
|occur_date   |datetime   |轨迹发生时间(当地时间，格式：yyyy-MM-dd HH:mm:ss)，数据返回按从小到大排序   |
|occur_date_utc   |String   |轨迹发生时区(当地时区，格式：GMT+08:00)，数据返回按从小到大排序   |
|system_track_code   |String   |轨迹状态: 10:预报，20:提货，30运输中，40:送达，50:异常，0:取消   |
|track_content   |String   |轨迹补充内容   |
|tracking_no   |String   |跟踪号(运单号)   |